#!/bin/csh -f

if ($#argv < 5) then
	 echo "Usage: $0 cmgui_executable compare_version example_path example stdouterr_filename\n";
	 exit;
endif

set template_path = ${CMISS_EXAMPLES}/common/cmiss_type1
set example_name=${4:t}
if (-f $3/$4/cmiss_input/example_${4:t}.com) then
	 set example_comfile=example_${4:t}.com
else
	 set example_comfile=${4:t}.com
endif
set temp_comfile_name = "cmgui_test.com"

#Put a dummy set directory so that it uses the example_path which has the
#actual full name.
echo "set directory example\n" > $temp_comfile_name;
cat $3/$4"/cmiss_input/"$example_comfile >> $temp_comfile_name;

set command="$1 -batch -epath $3/$4/cmiss_input/ $temp_comfile_name";
echo "Executing "$command;
$command < /dev/null |& tail +3l >$5;

